/*==============================================================================
        FLEX SLIDER
===============================================================================*/
$(window).load(function() {	
	$('#home-slider').flexslider({
		animation: 'slide',
		slideshow: false,
		smoothHeight: true,
		controlNav: false,
		prevText: '<i class="icon-chevron-left"></i>',
		nextText: '<i class="icon-chevron-right"></i>',
		start: function (slider) {
			slider.removeClass('flex-preload');
		}
	});
});
/*==============================================================================
        PORTFOLIO SLIDER
===============================================================================*/
$(window).load(function() {	
	$('.portfolio-featured-slider .flexslider, .gallery-format-slider .flexslider, .flex-slider-shortcode .flexslider').flexslider({
		animation: 'slide',
		slideshow: false,
		smoothHeight: true,
		controlNav: false,
		prevText: '<i class="icon-chevron-left"></i>',
		nextText: '<i class="icon-chevron-right"></i>',
		start: function (slider) {
			slider.removeClass('flex-preload');
		}
	});
});
/*==============================================================================
        ISOTOPE
===============================================================================*/
$(window).load(function() {
	var $container = $('#portfolio-wrapper');
	$container.imagesLoaded(function() {
		$container.isotope({
			itemSelector: '.portfolio-item',
			layoutMode: 'fitRows'
		});
	});
	$('#filters li a').click(function() {
		$('#filters li a').removeClass('active');
		$(this).addClass('active');
		var selector = $(this).attr('data-filter');
		$container.isotope({
			filter: selector
		});
		return false;
	});
});
/*==============================================================================
        SUPERFISH MENU
===============================================================================*/
$(document).ready(function() {
	$("ul.sf-menu").superfish({
		delay: 200,
		autoArrows: false,
		dropShadows: false,
		animation: {
			opacity: 'show',
			height: 'show'
		},
		speed: 'fast',
		pathClass: 'current'
	});
}); 
/*==============================================================================
        RESPONSIVE MENU
===============================================================================*/
$(document).ready(function() {
	$("<select />").appendTo("#navigation");

	$("<option />", {
	   "selected": "selected",
	   "value"   : "",
	   "text"    : "Go to..."
	}).appendTo("#navigation select");

	$("#navigation a").each(function() {
	 var el = $(this);
	 $("<option />", {
		 "value"   : el.attr("href"),
		 "text"    : el.text()
	 }).appendTo("#navigation select");
	});
	
	$("#navigation select").change(function() {
	  window.location = $(this).find("option:selected").val();
	});
}); 
/*==============================================================================
        PRETTYPHOTO
===============================================================================*/
$(document).ready(function() {
	$("a[rel^='prettyPhoto']").prettyPhoto({
		opacity:0.80,
		default_width:200,
		default_height:344,
		theme: 'dark_rounded', // light_rounded / dark_rounded / light_square / dark_square / facebook */
		animation_speed:'normal',
		allow_resize: true,
		keyboard_shortcuts: true
	});
}); 
/*==============================================================================
        FLICKR
===============================================================================*/
$(document).ready(function() {
	$('.flickr_thumbs').each(function() {                
		var flickrFeedID = $(this).attr('data-id');
		var flickrFeedCount = $(this).attr('data-count');
		var flickrFeedType = $(this).attr('data-type');
		var flickrFeedTypeGet = 'photos_public.gne';                
		if( flickrFeedType == 'group' ) { flickrFeedTypeGet = 'groups_pool.gne'; }                
		if( !flickrFeedCount ) { flickrFeedCount = 9; }            
		$(this).jflickrfeed({
			feedapi: flickrFeedTypeGet,
			limit: Number(flickrFeedCount),
			qstrings: {
				id: flickrFeedID
			},
			itemTemplate: '<li class="flickr_image">' +
							'<a rel="prettyPhoto[galflickr]" href="{{image}}" title="">' +
								'<img src="{{image_s}}" alt="{{title}}" />' +
							'</a>' +
						  '</li>'
		}, function(data) {
			$("a[rel^='prettyPhoto']").prettyPhoto({
			opacity:0.80,
			default_width:200,
			default_height:344,
			theme: 'dark_rounded', // light_rounded / dark_rounded / light_square / dark_square / facebook */
			animation_speed:'normal',
			allow_resize: true,
			keyboard_shortcuts: true
			});
		});            
	});  
});
/*==============================================================================
        TWITTER
===============================================================================*/
$(document).ready(function() {
	$(".tweet").tweet({
		join_text: false,
		username: "mojothemes", // Change username here
		avatar_size: false,
		count: 3, // number of tweets
		seconds_ago_text: "about %d seconds ago",
		a_minutes_ago_text: "about a minute ago",
		minutes_ago_text: "about %d minutes ago",
		a_hours_ago_text: "about an hour ago",
		hours_ago_text: "about %d hours ago",
		a_day_ago_text: "about a day ago",
		days_ago_text: "about %d days ago",
		view_text: "view tweet on twitter"
	});
});
/*==============================================================================
        FLEXSLIDER HOVER
===============================================================================*/
$(document).ready(function() {
	$('#slider-wrap .container, #port-slider, #entry-slider, .flex-slider-shortcode .flexslider').each(function(){			
		$(this).find('.flex-direction-nav .flex-next').css({'opacity':'0'});
		$(this).find('.flex-direction-nav .flex-prev').css({'opacity':'0'});	
	});
	$('#slider-wrap .container, #port-slider, #entry-slider, .flex-slider-shortcode .flexslider').each(function(){
		$(this).hover(function(){
		$(this).find('.flex-direction-nav .flex-next').stop().animate({'opacity':1,'right':0},200,'swing');
		$(this).find('.flex-direction-nav .flex-prev').stop().animate({'opacity':1,'left':0},200,'swing');
	},function(){
	$(this).find('.flex-direction-nav .flex-next').stop().animate({'opacity':0,'right':'15px'},200,'swing');
	$(this).find('.flex-direction-nav .flex-prev').stop().animate({'opacity':0,'left':'15px'},200,'swing');
	});
	});
}); 
/*==============================================================================
        PORTFOLIO HOVER
===============================================================================*/
$(document).ready(function() {
	$('.port-item').each(function(){			
		$(this).find('.zoom').css({'opacity':'0'});
		$(this).find('.link').css({'opacity':'0'});	
	});
	$('.port-item').each(function(){
		$(this).hover(function(){
		$(this).find('.zoom').stop().animate({'opacity':1,'right':'20%'},300,'swing');
		$(this).find('.link').stop().animate({'opacity':1,'left':'20%'},300,'swing');
	},function(){
	$(this).find('.zoom').stop().animate({'opacity':0,'right':0},300,'swing');
	$(this).find('.link').stop().animate({'opacity':0,'left':0},300,'swing');
	});
	});
}); 
/*==============================================================================
        FLICKR WIDGET HOVER ANIMATION
===============================================================================*/
$(document).ready(function() {
	$(".footer-widget .flickr_thumbs").delegate(".flickr_image", "mouseover mouseout", function (e) {
		if (e.type == 'mouseover') {
			$(".flickr_image").not(this).dequeue().animate({
				opacity: "0.3"
			}, 500);
		} else {
			$(".flickr_image").not(this).dequeue().animate({
				opacity: "1"
			}, 500);
		}
	});
}); 
/*==============================================================================
        RESPONSIVE VIDEO
===============================================================================*/
$(document).ready(function() {
	$(".fitvids").fitVids();
}); 
/*==============================================================================
        ALERTS
===============================================================================*/
$(document).ready(function() {
	$(".alert .close").click(
		function () {
			$(this).parent().fadeTo(400, 0, function () {
				$(this).slideUp(400);
			});
			return false;
		}
	);
}); 
/*==============================================================================
        TOGGLE
===============================================================================*/
$(document).ready(function() {
	$(".togglebox").hide();
	$("h4").click(function() {
		$(this).toggleClass("active").next(".togglebox").slideToggle("slow");
		return true;
	});
}); 
/*==============================================================================
        ACCORDION
===============================================================================*/
$(document).ready(function() {
	$(".accordion").accordion({
	   autoHeight: false
	});
}); 
/*==============================================================================
        TABS
===============================================================================*/
$(document).ready(function() {
	$(".tabs").tabs({
		fx: {
			height: 'toggle',
			opacity: 'toggle'
		}
	});
}); 
/*==============================================================================
        Progress Bar
===============================================================================*/
$(document).ready(function() {
	$(".meter > span").each(function() {
		var w = ( 100 * parseFloat($(this).css('width')) / parseFloat($(this).parent().css('width')) ) + '%';
		$(this)
			.width('0%')
			.animate({
				width: w
			}, 1200);
	});
}); 
/*==============================================================================
        Tooltip
===============================================================================*/
$(document).ready(function() {
	$('.tooltip').tooltipster({
		animation: 'grow',
		Default: 50,
		theme: '.tooltipster-punk'
	});
}); 
/*==============================================================================
        Google Code Prettify
===============================================================================*/
$(document).ready(function() {
	prettyPrint();
}); 
/*==============================================================================
        Contact Form
===============================================================================*/
$(document).ready(function() {
	//Validate the contact form
	$('#contact-form').validate({
		// Add requirements to each of the fields
		rules: {
			name: {
				required: true,
				minlength: 2
			},
			email: {
				required: true,
				email: true
			},
			subjects: {
				required: false,
				minlength: 2
			},
			msg: {
				required: true,
				minlength: 10
			}
		},
		
		// Specify what error messages to display
		// when the user does something horrid
		messages: {
			name: {
				required: "Please enter your name.",
				minlength: jQuery.format("At least {0} characters required.")
			},
			email: {
				required: "Please enter your email.",
				email: "Please enter a valid email."
			},
			msg: {
				required: "Please enter message.",
				minlength: jQuery.format("At least {0} characters required.")
			}
		},
		
		// Use Ajax to send everything to sendemail.php
		submitHandler: function(form) {
			$(form).ajaxSubmit({
				target: "#response",
				clearForm: true
			});
		}
	});
}); 